Bug 1987 - DataFolder does not properly refresh its children list after a new file object is added to the file folder it represents.
DataFolder does not properly refresh its children list after a new file objec...
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P1 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-01 06:59 UTC by Jesse Glick
Modified: 2008-12-23 10:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-06-01 06:59:43 UTC
See attached example file--put it in a package named addtofoldertest and run it with internal execution. The file object is correctly created, and listed among the file folder`s children, and you ca
n even get its data object fine--however, the data object is *not* added to the DataFolder`s list of children, and does not appear in the Explorer.

After IDE restart the new file appears, of course. Sometimes it appears without explanation sometime later, say if you do something else in the directory (such as rename a different file).


Does this maybe have something to do with the fact that FolderList.fileDataCreated has an empty body??
Comment 1 Marian Mirilovic 2002-03-29 17:12:13 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo